# $Revision: 1.23 $, $Date: 2008/10/03 17:58:14 $
%define		module	pyogg
Summary:	A Python module for the Ogg library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki Ogg
Name:		python-%{module}
Version:	1.3
Release:	7
License:	GPL
Group:		Libraries/Python
Source0:	http://ekyo.nerim.net/software/pyogg/%{module}-%{version}.tar.gz
# Source0-md5:	45a4ecc4d0600661199e4040a81ea3fe
URL:		http://ekyo.nerim.net/software/pyogg/index.html
BuildRequires:	libogg-devel
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pyogg

%description
A Python module for the the Ogg library.

%description -l pl.UTF-8
Moduł Pythona do biblioteki Ogg.

%package devel
Summary:	PyOgg development files
Summary(pl.UTF-8):	Pliki nagłówkowe modułu PyOgg
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libogg-devel
%pyrequires_eq	python-devel
Obsoletes:	pyogg-devel

%description devel
PyOgg development files.

%description devel -l pl.UTF-8
Pliki programistyczne modułu PyOgg.

%prep
%setup -q -n %{module}-%{version}

%build
python config_unix.py \
	--prefix %{_prefix}
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
chmod a+x test/oggtail.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install test/oggtail.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f test/testogg.py
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%dir %{py_sitedir}/ogg
%attr(755,root,root) %{py_sitedir}/ogg/*.so
%{py_sitedir}/ogg/*.py[co]
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyogg.spec,v $
Revision 1.23  2008/10/03 17:58:14  arekm
- release 7

Revision 1.22  2008/07/27 23:00:32  arekm
- release 6

Revision 1.21  2007-03-03 19:04:16  beorn
- Switched to py_postclean macro (thanks to glen)

Revision 1.20  2007/03/02 22:04:32  beorn
- Fixed comment of the -devel package

Revision 1.19  2007/03/02 21:52:09  beorn
- File oggtail.py moved from -devel package to _examplesdir of the base package
- Removed unneeded file testogg.py
- Minor fix

Revision 1.18  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.16  2006/09/27 20:09:20  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.15  2006/09/03 11:39:27  patrys
- new maintainer

Revision 1.14  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.13  2004/12/26 17:32:12  saq
- strict deps, release 2

Revision 1.12  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.11  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.10  2003/11/22 00:51:43  qboosh
- updated to 1.3

Revision 1.9  2003/06/04 10:49:44  djrzulf
- typo

Revision 1.8  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/06 10:40:10  qboosh
- added -devel deps

Revision 1.5  2003/05/06 10:31:28  qboosh
- removed autodetected R, added BR: rpm-pythonprov

Revision 1.4  2003/05/05 09:23:46  wrobell
- install byte optimized files, too
- summaries and description improvements, I hope /or just kill me/

Revision 1.3  2003/04/30 01:24:08  djrzulf
- added missed Obsolete

Revision 1.2  2003/04/30 01:07:35  kloczek
- finished and ready to STBR.

Revision 1.1  2003/04/29 23:33:13  djrzulf
- based on alt linux
